name: mobile_pos
description: A new Flutter project.

# The following line prevents the package from being accidentally published to
# pub.dev using `flutter pub publish`. This is preferred for private packages.
publish_to: 'none' # Remove this line if you wish to publish to pub.dev

# The following defines the version and build number for your application.
# A version number is three numbers separated by dots, like 1.2.43
# followed by an optional build number separated by a +.
# Both the version and the builder number may be overridden in flutter
# build by specifying --build-name and --build-number, respectively.
# In Android, build-name is used as versionName while build-number used as versionCode.
# Read more about Android versioning at https://developer.android.com/studio/publish/versioning
# In iOS, build-name is used as CFBundleShortVersionString while build-number used as CFBundleVersion.
# Read more about iOS versioning at
# https://developer.apple.com/library/archive/documentation/General/Reference/InfoPlistKeyReference/Articles/CoreFoundationKeys.html
version: 1.9.4+19

environment:
  sdk: '>=3.0.0 <4.0.0'

# Dependencies specify other packages that your package needs in order to work.
# To automatically upgrade your package dependencies to the latest versions
# consider running `flutter pub upgrade --major-versions`. Alternatively,
# dependencies can be manually updated by changing the version numbers below to
# the latest version available on pub.dev. To see which dependencies have newer
# versions available, run `flutter pub outdated`.
dependencies:
  flutter:
    sdk: flutter

  flutter_localizations:
    sdk: flutter


  # The following adds the Cupertino Icons font to your application.
  # Use with the CupertinoIcons class for iOS style icons.
  cupertino_icons:

  google_fonts: ^6.2.1
  barcode_widget: ^2.0.4
  flutter_grid_button: ^2.1.0
  firebase_core: ^4.1.0
  firebase_database: ^12.0.1
  firebase_auth: ^6.0.2
  firebase_storage: ^13.0.1
  firebase_app_check: ^0.4.0+1
  image_picker: ^1.1.2
  flutter_cart: ^0.0.9
  flutter_easyloading: ^3.0.5
  math_expressions: ^3.0.0
  platform: ^3.1.5
  flutter_riverpod: ^2.5.1
  shimmer: ^3.0.0
  url_launcher: ^6.3.0
  flutter_feather_icons: ^2.0.0+1
  permission_handler: ^12.0.0+1
  image: ^4.2.0
  flutter_paypal_easy_checkout: ^1.0.4
  shared_preferences: ^2.5.3
  restart_app: ^1.2.1
  intl: ^0.20.2
  pinput: ^6.0.0
  internet_connection_checker_plus: ^2.5.2
  nb_utils: ^7.0.4
  country_picker: ^2.0.26
  flutter_countdown_timer: ^4.1.0
  youtube_player_flutter: ^9.0.3
  pdf: ^3.11.1
  date_time_format: ^2.0.1
  provider: ^6.1.2
  flag: ^7.0.0
  currency_picker: ^2.0.21
  path_provider: ^2.1.4
  http: ^1.2.2
  flutter_pdfview: ^1.3.2
  flutter_sslcommerz: ^3.0.1
  share_plus: ^12.0.1
  pay_with_paystack: ^1.0.10
  flutter_stripe: ^11.5.0
  file_picker: ^10.1.9
  mailer: ^6.1.2
  community_material_icon: ^5.9.55
  flutter_inappwebview: ^6.1.5
  excel: ^4.0.6
  flutter_svg: ^2.0.10+1
  open_file: ^3.5.3
  mobile_scanner: ^7.0.0
  dio: ^5.7.0
  syncfusion_flutter_xlsio: ^29.2.5
  iconly: ^1.0.1
  print_bluetooth_thermal: ^1.1.6
  esc_pos_utils_plus: ^2.0.4
  bijoy_helper: ^1.1.0
  hugeicons: ^1.1.0



dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^6.0.0
  change_app_package_name: ^1.1.0
flutter:
  uses-material-design: true
  assets:
    - images/
    - images/Roboto-Regular.ttf
    - images/siyam_rupali_ansi.ttf
    - images/Amiri-Regular.ttf
    - images/Hind-Regular.ttf
    - images/GFSDidot-Regular.ttf

  fonts:
    - family: Roboto
      fonts:
        - asset: images/Roboto-Regular.ttf
    - family: SiyamRupali
      fonts:
        - asset: images/siyam_rupali_ansi.ttf
    - family: Amiri
      fonts:
        - asset: images/Amiri-Regular.ttf
    - family: Hind
      fonts:
        - asset: images/Hind-Regular.ttf
    - family: GFSDidot
      fonts:
        - asset: images/GFSDidot-Regular.ttf

flutter_intl:
  enabled: true
